net.snowflake.client.pooling

## Class SnowflakePooledConnection

- java.lang.Object
- - net.snowflake.client.pooling.SnowflakePooledConnection

All Implemented Interfaces:
  PooledConnection

    public class SnowflakePooledConnection
    extends Object
    implements PooledConnection

Snowflake implementation of pooled connection

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConnectionEventListener(ConnectionEventListener eventListener)`
`void` `addStatementEventListener(StatementEventListener eventListener)`
`void` `close()`
`Connection` `getConnection()`
`void` `removeConnectionEventListener(ConnectionEventListener eventListener)`
`void` `removeStatementEventListener(StatementEventListener eventListener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `PooledConnection`
Throws:
  `SQLException`

#### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener eventListener)

Specified by:
  `addConnectionEventListener` in interface `PooledConnection`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `PooledConnection`
Throws:
  `SQLException`

#### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener eventListener)

Specified by:
  `removeConnectionEventListener` in interface `PooledConnection`

#### addStatementEventListener

    public void addStatementEventListener(StatementEventListener eventListener)

Specified by:
  `addStatementEventListener` in interface `PooledConnection`

#### removeStatementEventListener

    public void removeStatementEventListener(StatementEventListener eventListener)

Specified by:
  `removeStatementEventListener` in interface `PooledConnection`